This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1028457 - [abrt] gdb-7.6.1-42.fc19: lookup_objfile_from_block: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.6.1-42.fc19: lookup_objfile_from_block: Process /usr/bin/gdb was...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:45c2d2e600e3a5c5dfc726fc8db...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 08:46 EST by Jay Finger
Modified: 2015-02-17 14:08 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:08:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.94 KB, text/plain)
2013-11-08 08:46 EST, Jay Finger
no flags Details
File: cgroup (140 bytes, text/plain)
2013-11-08 08:46 EST, Jay Finger
no flags Details
File: core_backtrace (11.15 KB, text/plain)
2013-11-08 08:46 EST, Jay Finger
no flags Details
File: dso_list (2.79 KB, text/plain)
2013-11-08 08:46 EST, Jay Finger
no flags Details
File: environ (5.41 KB, text/plain)
2013-11-08 08:46 EST, Jay Finger
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-08 08:46 EST, Jay Finger
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-08 08:46 EST, Jay Finger
no flags Details
File: maps (18.03 KB, text/plain)
2013-11-08 08:47 EST, Jay Finger
no flags Details
File: open_fds (981 bytes, text/plain)
2013-11-08 08:47 EST, Jay Finger
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-11-08 08:47 EST, Jay Finger
no flags Details
File: var_log_messages (309 bytes, text/plain)
2013-11-08 08:47 EST, Jay Finger
no flags Details

  None (edit)
Description Jay Finger 2013-11-08 08:46:26 EST
Description of problem:
This typically happens to me after the following:

Entering a "p" command and using tab completion on a symbol.  On a large executable it takes a while, so sometimes I hit tab a second time thinking perhaps I didn't fully press the tab key.  So GDB sees two tabs: the first completes the symbol on the command line and adds a space, then the second tab (I guess) tries to autocomplete from the universe.  This tab takes way too long, obviously isn't what I intended, to I hit Control-C.  I get a new GDB prompt.

Then I enter the "p" command as I intended.  And I get the SEGV.

Version-Release number of selected component:
gdb-7.6.1-42.fc19

Additional info:
reporter:       libreport-2.1.9
.gdb_history:   
backtrace_rating: 4
cmdline:        gdb engine_test
crash_function: lookup_objfile_from_block
executable:     /usr/bin/gdb
kernel:         3.11.4-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            501

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 lookup_objfile_from_block at ../../gdb/symtab.c:1455
 #1 lookup_symbol_global at ../../gdb/symtab.c:1780
 #2 lookup_symbol_file at ../../gdb/cp-namespace.c:632
 #3 cp_lookup_symbol_in_namespace at ../../gdb/cp-namespace.c:255
 #4 lookup_namespace_scope at ../../gdb/cp-namespace.c:597
 #5 cp_lookup_symbol_nonlocal at ../../gdb/cp-namespace.c:234
 #6 lookup_symbol_aux at ../../gdb/symtab.c:1365
 #7 lookup_symbol_in_language at ../../gdb/symtab.c:1211
 #8 lookup_symbol at ../../gdb/symtab.c:1226
 #9 lookup_typename at ../../gdb/gdbtypes.c:1254
Comment 1 Jay Finger 2013-11-08 08:46:35 EST
Created attachment 821622 [details]
File: backtrace
Comment 2 Jay Finger 2013-11-08 08:46:39 EST
Created attachment 821623 [details]
File: cgroup
Comment 3 Jay Finger 2013-11-08 08:46:42 EST
Created attachment 821624 [details]
File: core_backtrace
Comment 4 Jay Finger 2013-11-08 08:46:45 EST
Created attachment 821625 [details]
File: dso_list
Comment 5 Jay Finger 2013-11-08 08:46:49 EST
Created attachment 821626 [details]
File: environ
Comment 6 Jay Finger 2013-11-08 08:46:52 EST
Created attachment 821627 [details]
File: exploitable
Comment 7 Jay Finger 2013-11-08 08:46:56 EST
Created attachment 821628 [details]
File: limits
Comment 8 Jay Finger 2013-11-08 08:47:00 EST
Created attachment 821629 [details]
File: maps
Comment 9 Jay Finger 2013-11-08 08:47:03 EST
Created attachment 821630 [details]
File: open_fds
Comment 10 Jay Finger 2013-11-08 08:47:07 EST
Created attachment 821631 [details]
File: proc_pid_status
Comment 11 Jay Finger 2013-11-08 08:47:10 EST
Created attachment 821632 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 15:31:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 14:08:56 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.